package be.iminds.ilabt.jfed.experimenter_gui.slice.actions;

import be.iminds.ilabt.jfed.experiment.ExperimentController;
import be.iminds.ilabt.jfed.highlevel.model.Sliver;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 2/4/2015
 * Time: 11:37
 */
public class OpenConsoleAction extends ExperimentAction {
    private final Sliver sliver;

    OpenConsoleAction(Window parentWindow, ExperimentController experimentController, Sliver sliver) {
        super(parentWindow, experimentController);
        this.sliver = sliver;
    }

    @Override
    public void run() {
        experimentController.openConsole(sliver);
    }
}
